<!DOCTYPE html>
<html lang="es" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
	</head>
	
	
    <title>Lista de Personas</title>
</head>
<body>
	
    <h2>Lista de Personas</h2>
    <div class="row">
	<div class="col-md-2">
	<a class="btn btn-success " th:href="@{/add}"
		th:text="Agrega" title="Persona">
	</a>
	</div>
    </div>
 
   
     <table class="table table-success table-striped">
		<thead class="thead-dark">
            <tr>
                <th>DNI</th>
                <th>Apellido</th>
                <th>Nombre</th>
                <th>Edad</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="persona : ${personas}">
                <td th:text="${persona.dni}"></td>
                <td th:text="${persona.apellido}"></td>
                <td th:text="${persona.nombre}"></td>
                <td th:text="${persona.edad}"></td>
                <td>
				<a class="btn btn-success btn-sm" th:href="@{/editar/} + $persona.dni}"
				    th:text="editar" title="modificar">
					</a>
					<a class="btn btn-danger btn-sm" th:href="@{/eliminar/} + ${persona.dni}"
						th:text="eliminar" title="eliminar">
					</a>
					
	
                </td>
            </tr>
        </tbody>
    </table>
</body>
</html>
